class_name STE_CallFunc extends SceneTriggerEffect

##尝试Call的Func name
@export var func_name: StringName
##Call Func的可选输入
@export var func_args: Array[Variant] = []

func apply_effect(target:Object) -> bool:
	if target.has_method(func_name):
		target.callv(func_name,func_args)
		return true
	return false
